Get list of order attributes of plan

The Get list of order attributes of plan method returns the list of additional attributes required for the services provisioning by the given plan ID of the current reseller or any of its downstream resellers.

The Get list of order attributes of plan method can be used for services based on the following plugins:

  • VSP (Vendor service plugin).

  • Office365.

  • MicrosoftCspProducts.

XML
 GET {base_url}/api/v3/resellers/{reseller_id}/plans/{plan_id}/order_attributes

Arguments

Name

Parameter Type

Data type

Required/Optional

Description

X-Api-Token

header

string

Required

API token of a manager that performs the operation (see


)

Content-Type

header

string

Required

Media type of the request. Specify the following: application/vnd.api+json

Accept

header

string

Required

Supported media types of the answer. Specify the following: application/vnd.api+json

base_url

path

string

Required

ActivePlatform URL

reseller_id

path

integer

Required

ID of the current reseller or any of its downstream resellers (see 


)

plan_id

path

integer

Required

ID of the plan

account_id

query

integer

Required

ID of an account for ordering a subscription. May affect the list of additional attributes

plan_resource_ids[]

query

integer

Required

Coma-separated list of IDs of resources of the specified plan to be ordered in a subscription (see

Create sales order

). May affect the list of additional attributes

Response model

Name

Data type

Description

data

array of objects

Response data


order_attributes

array of objects

List of additional attributes of services

More

Service

Key of the additional attribute

Additional attribute

Notes

Google Workspace (G Suite)

domain_name

The name of the customer domain for purchasing the service


customer_alternate_email

The alternative customer email that Google will use to contact the customer


admin_login

The domain administrator's login


Kaspersky

approval_code

Approval Code

See 


Services based on the Office365 plugin

is_new_domain

The "Create new Microsoft Tenant Name" option

Absent in the response if the specified account ID is already linked to a Microsoft Tenant Name in the platform (an account has a subscription to any Microsoft service)

with_subdomain

The "With the .onmicrosoft.com subdomain" option

customer_domain

Microsoft Tenant Name

microsoft_customer_agreement

The "Accept Microsoft Customer Agreement" option

Absents in the response if Microsoft Customer Agreement is already accepted in the platform for the account with the specified ID

Services based on the MicrosoftCspProducts plugin

is_new_domain

The "Create new Microsoft Tenant Name" option

Absent in the response if the specified account ID is already linked to a Microsoft Tenant Name in the platform (an account has a subscription to any Microsoft service)

with_subdomain

The "With the .onmicrosoft.com subdomain" option

customer_domain

Microsoft Tenant Name

microsoft_customer_agreement

The "Accept Microsoft Customer Agreement" option

Absents in the response if none of the specified plan resource IDs requires acceptance of Microsoft Customer Agreement or Microsoft Customer Agreement is already accepted in the platform for the account with the specified ID

microsoft_azure_subscription

Customer Microsoft Azure subscription

Absents in the response if none of the specified plan resource IDs requires that the account with the specified ID should have an active subscription to the Microsoft Azure service. See an example in

Заказ подписки на услугу Microsoft Software Subscriptions через Панель управления Оператора

reservation_scope

Reservations scope



required

bool

Indicates whether the additional attribute is required:

  • true — the additional attribute is required.

  • false — the additional attribute is optional.



values

array

The list of available values of the additional attribute

More

Service

Key of the additional attribute

The list of available values of the additional attribute

Google Workspace (G Suite)

The list of available values of the additional attribute is not limited. The method returns an empty array.

Services based on the Office365 plugin

Kaspersky

Services based on the MicrosoftCspProducts plugin

microsoft_azure_subscription

Array of objects — the list of IDs and names of active subscriptions to the Microsoft Azure service for the specified account

reservation_scope

Array of objects — the list of available options and their displayed names:

  • all — All subscriptions.

  • current — Current subscription.



label

string

Name of the additional attribute



type

string

Data type of the additional attribute:

  • string.

  • select — a list.

  • checkbox — for example, the "Accept Microsoft Customer Agreement" option.

  • boolean — for example, the "Create new Microsoft Tenant Name" option.



key

string

Key of the additional attribute



priority

integer

Priority of the additional attribute



default_value

string

Default value of the additional attribute



plugin_slug

string

Plugin used for the service of the additional attribute:

  • office365 — the Office365 plugin.

  • microsoft_csp_products — the MicrosoftCspProducts plugin.

  • vendor_service — VSP (Vendor service plugin).


order_attributes_info

array

Not used in the current version


common_message

array of objects

Additional message for an order



key

string

Plugin used for the service:

  • office365 — the Office365 plugin.

  • microsoft_csp_products — the MicrosoftCspProducts plugin.



value

string

Text of a message

More

Service

Message

Services based on the Office365 plugin

Message about the need to confirm an invitation from a Microsoft Cloud Solution Provider with a particular link — if the specified account ID is not linked to a Microsoft Tenant Name in the platform (an account does not have any subscriptions to Microsoft services). The link is defined in the Relationship Request URL attribute of the Office365 plugin settings used by the service of the specified reseller (for example, see )

Services based on the MicrosoftCspProducts plugin

Request example (Google, VSP plugin)

XML
GET /api/v3/resellers/1/plans/1238/order_attributes?account_id=826&plan_resource_ids[]=2205
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
X-Api-Token: vY5fwetestK3gJXZH5uHCw
Accept: application/vnd.api+json

Response example (Google, VSP plugin)

JSON
{
    "data": {
        "order_attributes": [
            {
                "required": true,
                "values": [],
                "label": "Domain name",
                "type": "string",
                "key": "domain_name",
                "priority": 1,
                "default_value": "",
                "plugin_slug": "vendor_service"
            },
            {
                "required": true,
                "values": [],
                "label": "Alternate email",
                "type": "string",
                "key": "customer_alternate_email",
                "priority": 2,
                "default_value": "",
                "plugin_slug": "vendor_service"
            },
            {
                "required": true,
                "values": [],
                "label": "Admin login",
                "type": "string",
                "key": "admin_login",
                "priority": 3,
                "default_value": "",
                "plugin_slug": "vendor_service"
            }
        ],
        "order_attributes_info": [],
		"common_message": []
    }
}

Request example (Microsoft 365, Office365 plugin)

XML
GET /api/v3/resellers/1/plans/1132/order_attributes&account_id=820&plan_resource_ids[]=1394
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
X-Api-Token: vY5fwetestK3gJXZH5uHCw
Accept: application/vnd.api+json

Response example (Microsoft 365, Office365 plugin)

JSON
{
    "data": {
        "order_attributes": [
            {
                "label": "Create new Microsoft Tenant Name",
                "type": "boolean",
                "key": "is_new_domain",
                "values": [],
                "priority": 1,
                "default_value": "",
                "plugin_slug": "office365",
                "required": true
            },
            {
                "label": "With the .onmicrosoft.com subdomain",
                "type": "boolean",
                "key": "with_subdomain",
                "values": [],
                "priority": 1,
                "default_value": "",
                "plugin_slug": "office365",
                "required": true
            },
            {
                "label": "Microsoft Tenant Name",
                "type": "string",
                "key": "customer_domain",
                "values": [],
                "priority": 1,
                "default_value": "",
                "plugin_slug": "office365",
                "required": true
            },
            {
                "label": "Accept Microsoft Customer Agreement",
                "type": "checkbox",
                "key": "microsoft_customer_agreement",
                "values": [],
                "priority": 1,
                "default_value": "",
                "plugin_slug": "office365",
                "required": true
            }
        ],
    "order_attributes_info": [],
    "common_message": [
      {
        "key": "office365",
        "value": "Before addition of existing tenant, please confirm invitation from <a class=\"link\" href=\"https://admin.microsoft.com/Adminportal/Home?invType=ResellerRelationship&partnerId=XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX&msppId=0&DAP=true#/BillingAccounts/partner-invitation\">Microsoft Cloud Solution Provider</a>"
      }
    ]
  }
}